package com.stonedt.intelligence.util;

import java.util.HashMap;
import java.util.Map;

/**
 * @version 1.0.0
 * @Description  城市获取省
 * @author wzq
 * @date  2020年4月8日下午7:13:58
 */
public class CityToProvinceUtil {
	private static Map<String,String> cityToProvinceMap = new HashMap<>();
 
    static{
    	cityToProvinceMap.put("上海","上海");
    	cityToProvinceMap.put("北京","北京");
    	cityToProvinceMap.put("天津","天津");
    	cityToProvinceMap.put("重庆","重庆");
    	cityToProvinceMap.put("郑州","河南省");
    	cityToProvinceMap.put("洛阳","河南省");
    	cityToProvinceMap.put("焦作","河南省");
    	cityToProvinceMap.put("商丘","河南省");
    	cityToProvinceMap.put("信阳","河南省");
    	cityToProvinceMap.put("周口","河南省");
    	cityToProvinceMap.put("鹤壁","河南省");
    	cityToProvinceMap.put("安阳","河南省");
    	cityToProvinceMap.put("濮阳","河南省");
    	cityToProvinceMap.put("驻马店","河南省");
    	cityToProvinceMap.put("南阳","河南省");
    	cityToProvinceMap.put("开封","河南省");
    	cityToProvinceMap.put("漯河","河南省");
    	cityToProvinceMap.put("许昌","河南省");
    	cityToProvinceMap.put("新乡","河南省");
    	cityToProvinceMap.put("济源","河南省");
    	cityToProvinceMap.put("灵宝","河南省");
    	cityToProvinceMap.put("偃师","河南省");
    	cityToProvinceMap.put("邓州","河南省");
    	cityToProvinceMap.put("登封","河南省");
    	cityToProvinceMap.put("三门峡","河南省");
    	cityToProvinceMap.put("新郑","河南省");
    	cityToProvinceMap.put("禹州","河南省");
    	cityToProvinceMap.put("巩义","河南省");
    	cityToProvinceMap.put("永城","河南省");
    	cityToProvinceMap.put("长葛","河南省");
    	cityToProvinceMap.put("义马","河南省");
    	cityToProvinceMap.put("林州","河南省");
    	cityToProvinceMap.put("项城","河南省");
    	cityToProvinceMap.put("汝州","河南省");
    	cityToProvinceMap.put("荥阳","河南省");
    	cityToProvinceMap.put("平顶山","河南省");
    	cityToProvinceMap.put("卫辉","河南省");
    	cityToProvinceMap.put("辉县","河南省");
    	cityToProvinceMap.put("舞钢","河南省");
    	cityToProvinceMap.put("新密","河南省");
    	cityToProvinceMap.put("孟州","河南省");
    	cityToProvinceMap.put("沁阳","河南省");
    	
    	cityToProvinceMap.put("合肥","安徽省");
    	cityToProvinceMap.put("亳州","安徽省");
    	cityToProvinceMap.put("芜湖","安徽省");
    	cityToProvinceMap.put("马鞍山","安徽省");
    	cityToProvinceMap.put("池州","安徽省");
    	cityToProvinceMap.put("黄山","安徽省");
    	cityToProvinceMap.put("滁州","安徽省");
    	cityToProvinceMap.put("安庆","安徽省");
    	cityToProvinceMap.put("淮南","安徽省");
    	cityToProvinceMap.put("淮北","安徽省");
    	cityToProvinceMap.put("蚌埠","安徽省");
    	cityToProvinceMap.put("宿州","安徽省");
    	cityToProvinceMap.put("宣城","安徽省");
    	cityToProvinceMap.put("六安","安徽省");
    	cityToProvinceMap.put("阜阳","安徽省");
    	cityToProvinceMap.put("铜陵","安徽省");
    	cityToProvinceMap.put("明光","安徽省");
    	cityToProvinceMap.put("天长","安徽省");
    	cityToProvinceMap.put("宁国","安徽省");
    	cityToProvinceMap.put("界首","安徽省");
    	cityToProvinceMap.put("桐城","安徽省");
    	cityToProvinceMap.put("潜山","安徽省");
    	
    	cityToProvinceMap.put("福州","福建省");
    	cityToProvinceMap.put("厦门","福建省");
    	cityToProvinceMap.put("泉州","福建省");
    	cityToProvinceMap.put("漳州","福建省");
    	cityToProvinceMap.put("南平","福建省");
    	cityToProvinceMap.put("三明","福建省");
    	cityToProvinceMap.put("龙岩","福建省");
    	cityToProvinceMap.put("莆田","福建省");
    	cityToProvinceMap.put("宁德","福建省");
    	cityToProvinceMap.put("龙海","福建省");
    	cityToProvinceMap.put("建瓯","福建省");
    	cityToProvinceMap.put("武夷山","福建省");
    	cityToProvinceMap.put("长乐","福建省");
    	cityToProvinceMap.put("福清","福建省");
    	cityToProvinceMap.put("晋江","福建省");
    	cityToProvinceMap.put("南安","福建省");
    	cityToProvinceMap.put("福安","福建省");
    	cityToProvinceMap.put("邵武","福建省");
    	cityToProvinceMap.put("石狮","福建省");
    	cityToProvinceMap.put("福鼎","福建省");
    	cityToProvinceMap.put("建阳","福建省");
    	cityToProvinceMap.put("漳平","福建省");
    	cityToProvinceMap.put("永安","福建省");
    	
    	cityToProvinceMap.put("兰州","甘肃省");
    	cityToProvinceMap.put("白银","甘肃省");
    	cityToProvinceMap.put("武威","甘肃省");
    	cityToProvinceMap.put("金昌","甘肃省");
    	cityToProvinceMap.put("平凉","甘肃省");
    	cityToProvinceMap.put("张掖","甘肃省");
    	cityToProvinceMap.put("嘉峪关","甘肃省");
    	cityToProvinceMap.put("酒泉","甘肃省");
    	cityToProvinceMap.put("庆阳","甘肃省");
    	cityToProvinceMap.put("定西","甘肃省");
    	cityToProvinceMap.put("陇南","甘肃省");
    	cityToProvinceMap.put("天水","甘肃省");
    	cityToProvinceMap.put("玉门","甘肃省");
    	cityToProvinceMap.put("临夏","甘肃省");
    	cityToProvinceMap.put("合作","甘肃省");
    	cityToProvinceMap.put("敦煌","甘肃省");
    	cityToProvinceMap.put("甘南州","甘肃省");
    	
    	cityToProvinceMap.put("贵阳","贵州省");
    	cityToProvinceMap.put("安顺","贵州省");
    	cityToProvinceMap.put("遵义","贵州省");
    	cityToProvinceMap.put("六盘水","贵州省");
    	cityToProvinceMap.put("兴义","贵州省");
    	cityToProvinceMap.put("都匀","贵州省");
    	cityToProvinceMap.put("凯里","贵州省");
    	cityToProvinceMap.put("毕节","贵州省");
    	cityToProvinceMap.put("清镇","贵州省");
    	cityToProvinceMap.put("铜仁","贵州省");
    	cityToProvinceMap.put("赤水","贵州省");
    	cityToProvinceMap.put("仁怀","贵州省");
    	cityToProvinceMap.put("福泉","贵州省");
    	
    	cityToProvinceMap.put("海口","海南省");
    	cityToProvinceMap.put("三亚","海南省");
    	cityToProvinceMap.put("万宁","海南省");
    	cityToProvinceMap.put("文昌","海南省");
    	cityToProvinceMap.put("儋州","海南省");
    	cityToProvinceMap.put("琼海","海南省");
    	cityToProvinceMap.put("东方","海南省");
    	cityToProvinceMap.put("五指山","海南省");
    	
    	cityToProvinceMap.put("石家庄","河北省");
    	cityToProvinceMap.put("保定","河北省");
    	cityToProvinceMap.put("唐山","河北省");
    	cityToProvinceMap.put("邯郸邢台","河北省");
    	cityToProvinceMap.put("沧州","河北省");
    	cityToProvinceMap.put("衡水","河北省");
    	cityToProvinceMap.put("廊坊","河北省");
    	cityToProvinceMap.put("承德","河北省");
    	cityToProvinceMap.put("迁安","河北省");
    	cityToProvinceMap.put("鹿泉","河北省");
    	cityToProvinceMap.put("秦皇岛","河北省");
    	cityToProvinceMap.put("南宫","河北省");
    	cityToProvinceMap.put("任丘","河北省");
    	cityToProvinceMap.put("叶城","河北省");
    	cityToProvinceMap.put("辛集","河北省");
    	cityToProvinceMap.put("涿州","河北省");
    	cityToProvinceMap.put("定州","河北省");
    	cityToProvinceMap.put("晋州","河北省");
    	cityToProvinceMap.put("霸州","河北省");
    	cityToProvinceMap.put("黄骅","河北省");
    	cityToProvinceMap.put("遵化","河北省");
    	cityToProvinceMap.put("张家口","河北省");
    	cityToProvinceMap.put("沙河","河北省");
    	cityToProvinceMap.put("三河","河北省");
    	cityToProvinceMap.put("冀州","河北省");
    	cityToProvinceMap.put("武安","河北省");
    	cityToProvinceMap.put("河间深州","河北省");
    	cityToProvinceMap.put("新乐","河北省");
    	cityToProvinceMap.put("泊头","河北省");
    	cityToProvinceMap.put("安国","河北省");
    	cityToProvinceMap.put("双滦区","河北省");
    	cityToProvinceMap.put("高碑店","河北省");
    	
    	cityToProvinceMap.put("哈尔滨","黑龙江省");
    	cityToProvinceMap.put("伊春","黑龙江省");
    	cityToProvinceMap.put("牡丹江","黑龙江省");
    	cityToProvinceMap.put("大庆","黑龙江省");
    	cityToProvinceMap.put("鸡西","黑龙江省");
    	cityToProvinceMap.put("鹤岗","黑龙江省");
    	cityToProvinceMap.put("绥化","黑龙江省");
    	cityToProvinceMap.put("齐齐哈尔","黑龙江省");
    	cityToProvinceMap.put("黑河","黑龙江省");
    	cityToProvinceMap.put("富锦","黑龙江省");
    	cityToProvinceMap.put("虎林","黑龙江省");
    	cityToProvinceMap.put("密山","黑龙江省");
    	cityToProvinceMap.put("佳木斯","黑龙江省");
    	cityToProvinceMap.put("双鸭山","黑龙江省");
    	cityToProvinceMap.put("海林","黑龙江省");
    	cityToProvinceMap.put("铁力","黑龙江省");
    	cityToProvinceMap.put("北安","黑龙江省");
    	cityToProvinceMap.put("五大连池","黑龙江省");
    	cityToProvinceMap.put("阿城","黑龙江省");
    	cityToProvinceMap.put("尚志","黑龙江省");
    	cityToProvinceMap.put("五常","黑龙江省");
    	cityToProvinceMap.put("安达","黑龙江省");
    	cityToProvinceMap.put("七台河","黑龙江省");
    	cityToProvinceMap.put("绥芬河","黑龙江省");
    	cityToProvinceMap.put("双城","黑龙江省");
    	cityToProvinceMap.put("海伦","黑龙江省");
    	cityToProvinceMap.put("宁安","黑龙江省");
    	cityToProvinceMap.put("讷河","黑龙江省");
    	cityToProvinceMap.put("穆棱","黑龙江省");
    	cityToProvinceMap.put("同江","黑龙江省");
    	cityToProvinceMap.put("肇东","黑龙江省");
    	
    	cityToProvinceMap.put("武汉","湖北省");
    	cityToProvinceMap.put("荆门","湖北省");
    	cityToProvinceMap.put("咸宁","湖北省");
    	cityToProvinceMap.put("襄阳","湖北省");
    	cityToProvinceMap.put("荆州","湖北省");
    	cityToProvinceMap.put("黄石","湖北省");
    	cityToProvinceMap.put("宜昌","湖北省");
    	cityToProvinceMap.put("随州","湖北省");
    	cityToProvinceMap.put("鄂州","湖北省");
    	cityToProvinceMap.put("孝感","湖北省");
    	cityToProvinceMap.put("黄冈","湖北省");
    	cityToProvinceMap.put("十堰","湖北省");
    	cityToProvinceMap.put("枣阳","湖北省");
    	cityToProvinceMap.put("老河口","湖北省");
    	cityToProvinceMap.put("恩施","湖北省");
    	cityToProvinceMap.put("仙桃","湖北省");
    	cityToProvinceMap.put("天门","湖北省");
    	cityToProvinceMap.put("钟祥","湖北省");
    	cityToProvinceMap.put("潜江","湖北省");
    	cityToProvinceMap.put("麻城","湖北省");
    	cityToProvinceMap.put("洪湖","湖北省");
    	cityToProvinceMap.put("汉川","湖北省");
    	cityToProvinceMap.put("赤壁","湖北省");
    	cityToProvinceMap.put("松滋","湖北省");
    	cityToProvinceMap.put("丹江口","湖北省");
    	cityToProvinceMap.put("武穴","湖北省");
    	cityToProvinceMap.put("广水","湖北省");
    	cityToProvinceMap.put("石首大冶","湖北省");
    	cityToProvinceMap.put("枝江","湖北省");
    	cityToProvinceMap.put("应城","湖北省");
    	cityToProvinceMap.put("宜城","湖北省");
    	cityToProvinceMap.put("当阳","湖北省");
    	cityToProvinceMap.put("安陆","湖北省");
    	cityToProvinceMap.put("宜都","湖北省");
    	cityToProvinceMap.put("利川","湖北省");
    	
    	cityToProvinceMap.put("长沙","湖南省");
    	cityToProvinceMap.put("郴州","湖南省");
    	cityToProvinceMap.put("益阳","湖南省");
    	cityToProvinceMap.put("娄底","湖南省");
    	cityToProvinceMap.put("株洲","湖南省");
    	cityToProvinceMap.put("衡阳","湖南省");
    	cityToProvinceMap.put("湘潭","湖南省");
    	cityToProvinceMap.put("岳阳","湖南省");
    	cityToProvinceMap.put("常德","湖南省");
    	cityToProvinceMap.put("邵阳","湖南省");
    	cityToProvinceMap.put("永州","湖南省");
    	cityToProvinceMap.put("张家界","湖南省");
    	cityToProvinceMap.put("怀化","湖南省");
    	cityToProvinceMap.put("浏阳","湖南省");
    	cityToProvinceMap.put("醴陵","湖南省");
    	cityToProvinceMap.put("湘乡","湖南省");
    	cityToProvinceMap.put("耒阳","湖南省");
    	cityToProvinceMap.put("沅江","湖南省");
    	cityToProvinceMap.put("涟源","湖南省");
    	cityToProvinceMap.put("常宁","湖南省");
    	cityToProvinceMap.put("吉首","湖南省");
    	cityToProvinceMap.put("津市市","湖南省");
    	cityToProvinceMap.put("冷水江","湖南省");
    	cityToProvinceMap.put("临湘","湖南省");
    	cityToProvinceMap.put("汨罗","湖南省");
    	cityToProvinceMap.put("武冈","湖南省");
    	cityToProvinceMap.put("韶山","湖南省");
    	cityToProvinceMap.put("湘西州","湖南省");
    	
    	cityToProvinceMap.put("长春","吉林省");
    	cityToProvinceMap.put("吉林","吉林省");
    	cityToProvinceMap.put("通化","吉林省");
    	cityToProvinceMap.put("白城","吉林省");
    	cityToProvinceMap.put("四平","吉林省");
    	cityToProvinceMap.put("辽源","吉林省");
    	cityToProvinceMap.put("松原","吉林省");
    	cityToProvinceMap.put("白山","吉林省");
    	cityToProvinceMap.put("集安","吉林省");
    	cityToProvinceMap.put("梅河口","吉林省");
    	cityToProvinceMap.put("双辽","吉林省");
    	cityToProvinceMap.put("延吉","吉林省");
    	cityToProvinceMap.put("九台","吉林省");
    	cityToProvinceMap.put("桦甸","吉林省");
    	cityToProvinceMap.put("榆树","吉林省");
    	cityToProvinceMap.put("蛟河","吉林省");
    	cityToProvinceMap.put("磐石","吉林省");
    	cityToProvinceMap.put("大安","吉林省");
    	cityToProvinceMap.put("德惠","吉林省");
    	cityToProvinceMap.put("洮南","吉林省");
    	cityToProvinceMap.put("龙井","吉林省");
    	cityToProvinceMap.put("珲春","吉林省");
    	cityToProvinceMap.put("公主岭","吉林省");
    	cityToProvinceMap.put("图们","吉林省");
    	cityToProvinceMap.put("舒兰","吉林省");
    	cityToProvinceMap.put("和龙","吉林省");
    	cityToProvinceMap.put("临江","吉林省");
    	cityToProvinceMap.put("敦化","吉林省");
    	
    	cityToProvinceMap.put("南京","江苏省");
    	cityToProvinceMap.put("无锡","江苏省");
    	cityToProvinceMap.put("常州","江苏省");
    	cityToProvinceMap.put("扬州","江苏省");
    	cityToProvinceMap.put("徐州","江苏省");
    	cityToProvinceMap.put("苏州","江苏省");
    	cityToProvinceMap.put("连云港","江苏省");
    	cityToProvinceMap.put("盐城","江苏省");
    	cityToProvinceMap.put("淮安","江苏省");
    	cityToProvinceMap.put("宿迁","江苏省");
    	cityToProvinceMap.put("镇江","江苏省");
    	cityToProvinceMap.put("南通","江苏省");
    	cityToProvinceMap.put("泰州","江苏省");
    	cityToProvinceMap.put("兴化","江苏省");
    	cityToProvinceMap.put("东台","江苏省");
    	cityToProvinceMap.put("常熟","江苏省");
    	cityToProvinceMap.put("江阴","江苏省");
    	cityToProvinceMap.put("张家港","江苏省");
    	cityToProvinceMap.put("通州","江苏省");
    	cityToProvinceMap.put("宜兴","江苏省");
    	cityToProvinceMap.put("邳州","江苏省");
    	cityToProvinceMap.put("海门","江苏省");
    	cityToProvinceMap.put("溧阳","江苏省");
    	cityToProvinceMap.put("泰兴","江苏省");
    	cityToProvinceMap.put("如皋","江苏省");
    	cityToProvinceMap.put("昆山","江苏省");
    	cityToProvinceMap.put("启东","江苏省");
    	cityToProvinceMap.put("江都","江苏省");
    	cityToProvinceMap.put("丹阳","江苏省");
    	cityToProvinceMap.put("吴江","江苏省");
    	cityToProvinceMap.put("靖江","江苏省");
    	cityToProvinceMap.put("扬中","江苏省");
    	cityToProvinceMap.put("新沂","江苏省");
    	cityToProvinceMap.put("仪征","江苏省");
    	cityToProvinceMap.put("太仓","江苏省");
    	cityToProvinceMap.put("姜堰","江苏省");
    	cityToProvinceMap.put("高邮","江苏省");
    	cityToProvinceMap.put("金坛","江苏省");
    	cityToProvinceMap.put("句容","江苏省");
    	cityToProvinceMap.put("灌南县","江苏省");
    	
    	cityToProvinceMap.put("南昌","江西省");
    	cityToProvinceMap.put("赣州","江西省");
    	cityToProvinceMap.put("上饶","江西省");
    	cityToProvinceMap.put("宜春","江西省");
    	cityToProvinceMap.put("景德镇","江西省");
    	cityToProvinceMap.put("新余","江西省");
    	cityToProvinceMap.put("九江","江西省");
    	cityToProvinceMap.put("萍乡","江西省");
    	cityToProvinceMap.put("抚州","江西省");
    	cityToProvinceMap.put("鹰潭","江西省");
    	cityToProvinceMap.put("吉安","江西省");
    	cityToProvinceMap.put("丰城","江西省");
    	cityToProvinceMap.put("樟树","江西省");
    	cityToProvinceMap.put("德兴","江西省");
    	cityToProvinceMap.put("瑞金","江西省");
    	cityToProvinceMap.put("井冈山","江西省");
    	cityToProvinceMap.put("高安","江西省");
    	cityToProvinceMap.put("乐平","江西省");
    	cityToProvinceMap.put("南康","江西省");
    	cityToProvinceMap.put("贵溪","江西省");
    	cityToProvinceMap.put("瑞昌","江西省");
    	cityToProvinceMap.put("东乡县","江西省");
    	cityToProvinceMap.put("广丰县","江西省");
    	cityToProvinceMap.put("信州区","江西省");
    	cityToProvinceMap.put("三清山","江西省");
    	
    	cityToProvinceMap.put("沈阳","辽宁省");
    	cityToProvinceMap.put("葫芦岛","辽宁省");
    	cityToProvinceMap.put("大连","辽宁省");
    	cityToProvinceMap.put("盘锦","辽宁省");
    	cityToProvinceMap.put("鞍山","辽宁省");
    	cityToProvinceMap.put("铁岭","辽宁省");
    	cityToProvinceMap.put("本溪","辽宁省");
    	cityToProvinceMap.put("丹东","辽宁省");
    	cityToProvinceMap.put("抚顺","辽宁省");
    	cityToProvinceMap.put("锦州","辽宁省");
    	cityToProvinceMap.put("辽阳","辽宁省");
    	cityToProvinceMap.put("阜新","辽宁省");
    	cityToProvinceMap.put("调兵山","辽宁省");
    	cityToProvinceMap.put("朝阳","辽宁省");
    	cityToProvinceMap.put("海城","辽宁省");
    	cityToProvinceMap.put("北票","辽宁省");
    	cityToProvinceMap.put("盖州","辽宁省");
    	cityToProvinceMap.put("凤城","辽宁省");
    	cityToProvinceMap.put("庄河","辽宁省");
    	cityToProvinceMap.put("凌源","辽宁省");
    	cityToProvinceMap.put("开原","辽宁省");
    	cityToProvinceMap.put("兴城","辽宁省");
    	cityToProvinceMap.put("新民","辽宁省");
    	cityToProvinceMap.put("大石桥","辽宁省");
    	cityToProvinceMap.put("东港","辽宁省");
    	cityToProvinceMap.put("北宁","辽宁省");
    	cityToProvinceMap.put("瓦房店","辽宁省");
    	cityToProvinceMap.put("普兰店","辽宁省");
    	cityToProvinceMap.put("凌海","辽宁省");
    	cityToProvinceMap.put("灯塔","辽宁省");
    	cityToProvinceMap.put("营口","辽宁省");
    	
    	cityToProvinceMap.put("西宁","青海省");
    	cityToProvinceMap.put("格尔木","青海省");
    	cityToProvinceMap.put("德令哈","青海省");
    	
    	cityToProvinceMap.put("济南","山东省");
    	cityToProvinceMap.put("青岛","山东省");
    	cityToProvinceMap.put("威海","山东省");
    	cityToProvinceMap.put("潍坊","山东省");
    	cityToProvinceMap.put("菏泽","山东省");
    	cityToProvinceMap.put("济宁","山东省");
    	cityToProvinceMap.put("东营","山东省");
    	cityToProvinceMap.put("烟台","山东省");
    	cityToProvinceMap.put("淄博","山东省");
    	cityToProvinceMap.put("枣庄","山东省");
    	cityToProvinceMap.put("泰安","山东省");
    	cityToProvinceMap.put("临沂","山东省");
    	cityToProvinceMap.put("日照","山东省");
    	cityToProvinceMap.put("德州","山东省");
    	cityToProvinceMap.put("聊城","山东省");
    	cityToProvinceMap.put("滨州","山东省");
    	cityToProvinceMap.put("乐陵","山东省");
    	cityToProvinceMap.put("兖州","山东省");
    	cityToProvinceMap.put("诸城","山东省");
    	cityToProvinceMap.put("邹城","山东省");
    	cityToProvinceMap.put("滕州","山东省");
    	cityToProvinceMap.put("肥城","山东省");
    	cityToProvinceMap.put("新泰","山东省");
    	cityToProvinceMap.put("胶州","山东省");
    	cityToProvinceMap.put("胶南","山东省");
    	cityToProvinceMap.put("即墨","山东省");
    	cityToProvinceMap.put("龙口","山东省");
    	cityToProvinceMap.put("平度","山东省");
    	cityToProvinceMap.put("莱西","山东省");
    	
    	cityToProvinceMap.put("太原","山西省");
    	cityToProvinceMap.put("大同","山西省");
    	cityToProvinceMap.put("阳泉","山西省");
    	cityToProvinceMap.put("长治","山西省");
    	cityToProvinceMap.put("临汾","山西省");
    	cityToProvinceMap.put("晋中","山西省");
    	cityToProvinceMap.put("运城","山西省");
    	cityToProvinceMap.put("忻州","山西省");
    	cityToProvinceMap.put("朔州","山西省");
    	cityToProvinceMap.put("吕梁","山西省");
    	cityToProvinceMap.put("古交","山西省");
    	cityToProvinceMap.put("高平","山西省");
    	cityToProvinceMap.put("永济","山西省");
    	cityToProvinceMap.put("孝义","山西省");
    	cityToProvinceMap.put("侯马","山西省");
    	cityToProvinceMap.put("霍州","山西省");
    	cityToProvinceMap.put("介休","山西省");
    	cityToProvinceMap.put("河津","山西省");
    	cityToProvinceMap.put("汾阳","山西省");
    	cityToProvinceMap.put("原平","山西省");
    	cityToProvinceMap.put("晋城","山西省");
    	cityToProvinceMap.put("潞城","山西省");
    	
    	cityToProvinceMap.put("西安","陕西省");
    	cityToProvinceMap.put("咸阳","陕西省");
    	cityToProvinceMap.put("榆林","陕西省");
    	cityToProvinceMap.put("宝鸡","陕西省");
    	cityToProvinceMap.put("铜川","陕西省");
    	cityToProvinceMap.put("渭南","陕西省");
    	cityToProvinceMap.put("汉中","陕西省");
    	cityToProvinceMap.put("安康","陕西省");
    	cityToProvinceMap.put("商洛","陕西省");
    	cityToProvinceMap.put("延安","陕西省");
    	cityToProvinceMap.put("韩城","陕西省");
    	cityToProvinceMap.put("兴平","陕西省");
    	cityToProvinceMap.put("华阴","陕西省");
    	
    	cityToProvinceMap.put("成都","四川省");
    	cityToProvinceMap.put("广安","四川省");
    	cityToProvinceMap.put("德阳","四川省");
    	cityToProvinceMap.put("乐山","四川省");
    	cityToProvinceMap.put("巴中","四川省");
    	cityToProvinceMap.put("内江","四川省");
    	cityToProvinceMap.put("宜宾","四川省");
    	cityToProvinceMap.put("南充","四川省");
    	cityToProvinceMap.put("都江堰","四川省");
    	cityToProvinceMap.put("自贡","四川省");
    	cityToProvinceMap.put("泸州","四川省");
    	cityToProvinceMap.put("广元","四川省");
    	cityToProvinceMap.put("达州","四川省");
    	cityToProvinceMap.put("资阳","四川省");
    	cityToProvinceMap.put("绵阳","四川省");
    	cityToProvinceMap.put("眉山","四川省");
    	cityToProvinceMap.put("遂宁","四川省");
    	cityToProvinceMap.put("雅安","四川省");
    	cityToProvinceMap.put("阆中","四川省");
    	cityToProvinceMap.put("攀枝花","四川省");
    	cityToProvinceMap.put("广汉","四川省");
    	cityToProvinceMap.put("绵竹","四川省");
    	cityToProvinceMap.put("万源","四川省");
    	cityToProvinceMap.put("华蓥","四川省");
    	cityToProvinceMap.put("江油","四川省");
    	cityToProvinceMap.put("西昌","四川省");
    	cityToProvinceMap.put("彭州","四川省");
    	cityToProvinceMap.put("简阳","四川省");
    	cityToProvinceMap.put("崇州","四川省");
    	cityToProvinceMap.put("什邡","四川省");
    	cityToProvinceMap.put("峨眉山","四川省");
    	cityToProvinceMap.put("邛崃","四川省");
    	
    	cityToProvinceMap.put("昆明","云南省");
    	cityToProvinceMap.put("玉溪","云南省");
    	cityToProvinceMap.put("大理","云南省");
    	cityToProvinceMap.put("曲靖","云南省");
    	cityToProvinceMap.put("昭通","云南省");
    	cityToProvinceMap.put("保山","云南省");
    	cityToProvinceMap.put("丽江","云南省");
    	cityToProvinceMap.put("临沧","云南省");
    	cityToProvinceMap.put("楚雄","云南省");
    	cityToProvinceMap.put("开远","云南省");
    	cityToProvinceMap.put("个旧","云南省");
    	cityToProvinceMap.put("景洪","云南省");
    	cityToProvinceMap.put("安宁","云南省");
    	cityToProvinceMap.put("宣威","云南省");
    	
    	cityToProvinceMap.put("杭州","浙江省");
    	cityToProvinceMap.put("宁波","浙江省");
    	cityToProvinceMap.put("绍兴","浙江省");
    	cityToProvinceMap.put("温州","浙江省");
    	cityToProvinceMap.put("台州","浙江省");
    	cityToProvinceMap.put("湖州","浙江省");
    	cityToProvinceMap.put("嘉兴","浙江省");
    	cityToProvinceMap.put("金华","浙江省");
    	cityToProvinceMap.put("舟山","浙江省");
    	cityToProvinceMap.put("衢州","浙江省");
    	cityToProvinceMap.put("丽水","浙江省");
    	cityToProvinceMap.put("余姚","浙江省");
    	cityToProvinceMap.put("乐清","浙江省");
    	cityToProvinceMap.put("临海","浙江省");
    	cityToProvinceMap.put("温岭","浙江省");
    	cityToProvinceMap.put("永康","浙江省");
    	cityToProvinceMap.put("瑞安","浙江省");
    	cityToProvinceMap.put("慈溪","浙江省");
    	cityToProvinceMap.put("义乌","浙江省");
    	cityToProvinceMap.put("上虞","浙江省");
    	cityToProvinceMap.put("诸暨","浙江省");
    	cityToProvinceMap.put("海宁","浙江省");
    	cityToProvinceMap.put("桐乡","浙江省");
    	cityToProvinceMap.put("兰溪","浙江省");
    	cityToProvinceMap.put("龙泉","浙江省");
    	cityToProvinceMap.put("建德","浙江省");
    	cityToProvinceMap.put("富德","浙江省");
    	cityToProvinceMap.put("富阳","浙江省");
    	cityToProvinceMap.put("平湖","浙江省");
    	cityToProvinceMap.put("东阳","浙江省");
    	cityToProvinceMap.put("嵊州","浙江省");
    	cityToProvinceMap.put("奉化","浙江省");
    	cityToProvinceMap.put("临安","浙江省");
    	cityToProvinceMap.put("江山市","浙江省");
    	
    	cityToProvinceMap.put("台北","台湾省");
    	cityToProvinceMap.put("台南","台湾省");
    	cityToProvinceMap.put("台中","台湾省");
    	cityToProvinceMap.put("高雄","台湾省");
    	cityToProvinceMap.put("桃源","台湾省");	
    	
    	cityToProvinceMap.put("广州","广东省");
    	cityToProvinceMap.put("深圳","广东省");
    	cityToProvinceMap.put("珠海","广东省");
    	cityToProvinceMap.put("汕头","广东省");
    	cityToProvinceMap.put("佛山","广东省");
    	cityToProvinceMap.put("韶关","广东省");
    	cityToProvinceMap.put("湛江","广东省");
    	cityToProvinceMap.put("肇庆","广东省");
    	cityToProvinceMap.put("江门","广东省");
    	cityToProvinceMap.put("茂名","广东省");
    	cityToProvinceMap.put("惠州","广东省");
    	cityToProvinceMap.put("梅州","广东省");
    	cityToProvinceMap.put("汕尾","广东省");
    	cityToProvinceMap.put("河源","广东省");
    	cityToProvinceMap.put("阳江","广东省");
    	cityToProvinceMap.put("清远","广东省");
    	cityToProvinceMap.put("东莞","广东省");
    	cityToProvinceMap.put("中山","广东省");
    	cityToProvinceMap.put("潮州","广东省");
    	cityToProvinceMap.put("揭阳","广东省");
    	cityToProvinceMap.put("云浮","广东省");
    	
    	cityToProvinceMap.put("南宁","广西壮族自治区");
    	cityToProvinceMap.put("贺州","广西壮族自治区");
    	cityToProvinceMap.put("玉林","广西壮族自治区");
    	cityToProvinceMap.put("桂林","广西壮族自治区");
    	cityToProvinceMap.put("柳州","广西壮族自治区");
    	cityToProvinceMap.put("梧州","广西壮族自治区");
    	cityToProvinceMap.put("北海","广西壮族自治区");
    	cityToProvinceMap.put("钦州","广西壮族自治区");
    	cityToProvinceMap.put("百色","广西壮族自治区");
    	cityToProvinceMap.put("防城港","广西壮族自治区");
    	cityToProvinceMap.put("贵港","广西壮族自治区");
    	cityToProvinceMap.put("河池","广西壮族自治区");
    	cityToProvinceMap.put("崇左","广西壮族自治区");
    	cityToProvinceMap.put("来宾","广西壮族自治区");
    	cityToProvinceMap.put("东兴","广西壮族自治区");
    	cityToProvinceMap.put("桂平","广西壮族自治区");
    	cityToProvinceMap.put("北流","广西壮族自治区");
    	cityToProvinceMap.put("岑溪","广西壮族自治区");
    	cityToProvinceMap.put("合山","广西壮族自治区");
    	cityToProvinceMap.put("凭祥","广西壮族自治区");
    	cityToProvinceMap.put("宜州","广西壮族自治区");
    	
    	cityToProvinceMap.put("呼和浩特","内蒙古自治区");
    	cityToProvinceMap.put("呼伦贝尔","内蒙古自治区");
    	cityToProvinceMap.put("赤峰","内蒙古自治区");
    	cityToProvinceMap.put("扎兰屯","内蒙古自治区");
    	cityToProvinceMap.put("鄂尔多斯","内蒙古自治区");
    	cityToProvinceMap.put("乌兰察布","内蒙古自治区");
    	cityToProvinceMap.put("巴彦淖尔","内蒙古自治区");
    	cityToProvinceMap.put("二连浩特","内蒙古自治区");
    	cityToProvinceMap.put("霍林郭勒","内蒙古自治区");
    	cityToProvinceMap.put("包头","内蒙古自治区");
    	cityToProvinceMap.put("乌海","内蒙古自治区");
    	cityToProvinceMap.put("阿尔山","内蒙古自治区");
    	cityToProvinceMap.put("乌兰浩特","内蒙古自治区");
    	cityToProvinceMap.put("锡林浩特","内蒙古自治区");
    	cityToProvinceMap.put("根河","内蒙古自治区");
    	cityToProvinceMap.put("满洲里","内蒙古自治区");
    	cityToProvinceMap.put("额尔古纳","内蒙古自治区");
    	cityToProvinceMap.put("牙克石","内蒙古自治区");
    	cityToProvinceMap.put("临河","内蒙古自治区");
    	cityToProvinceMap.put("丰镇","内蒙古自治区");
    	cityToProvinceMap.put("通辽","内蒙古自治区");
    	
    	cityToProvinceMap.put("银川","宁夏回族自治区");
    	cityToProvinceMap.put("固原","宁夏回族自治区");
    	cityToProvinceMap.put("石嘴山","宁夏回族自治区");
    	cityToProvinceMap.put("青铜峡","宁夏回族自治区");
    	cityToProvinceMap.put("中卫","宁夏回族自治区");
    	cityToProvinceMap.put("吴忠","宁夏回族自治区");
    	cityToProvinceMap.put("灵武","宁夏回族自治区");
    	
    	cityToProvinceMap.put("拉萨","西藏藏族自治区");
    	cityToProvinceMap.put("那曲","西藏藏族自治区");
    	cityToProvinceMap.put("山南","西藏藏族自治区");
    	cityToProvinceMap.put("林芝","西藏藏族自治区");
    	cityToProvinceMap.put("昌都","西藏藏族自治区");
    	cityToProvinceMap.put("阿里地区","西藏藏族自治区");
    	cityToProvinceMap.put("日喀则","西藏藏族自治区");
    	
    	cityToProvinceMap.put("乌鲁木齐","新疆维吾尔自治区");
    	cityToProvinceMap.put("石河子","新疆维吾尔自治区");
    	cityToProvinceMap.put("喀什","新疆维吾尔自治区");
    	cityToProvinceMap.put("阿勒泰","新疆维吾尔自治区");
    	cityToProvinceMap.put("阜康","新疆维吾尔自治区");
    	cityToProvinceMap.put("库尔勒","新疆维吾尔自治区");
    	cityToProvinceMap.put("阿克苏","新疆维吾尔自治区");
    	cityToProvinceMap.put("阿拉尔","新疆维吾尔自治区");
    	cityToProvinceMap.put("哈密","新疆维吾尔自治区");
    	cityToProvinceMap.put("克拉玛依","新疆维吾尔自治区");
    	cityToProvinceMap.put("昌吉","新疆维吾尔自治区");
    	cityToProvinceMap.put("奎屯","新疆维吾尔自治区");
    	cityToProvinceMap.put("米泉","新疆维吾尔自治区");
    	cityToProvinceMap.put("和田","新疆维吾尔自治区");
 
    }
 
    /**
     * 通过城市获取省
     * @param city
     * @return
     */
    public static String cityToProvince(String city){
        return cityToProvinceMap.get(city);
    }
    
}
